Package com.ads.api.beans.common

# Enum Class APIConstants.VersionMode

java.lang.Object
java.lang.Enum<APIConstants.VersionMode>
com.ads.api.beans.common.APIConstants.VersionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.VersionMode>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.VersionMode extends Enum<APIConstants.VersionMode>
These ENUM constants are used to specify the VersionMode such as ALL_VERSIONS, CURRENT_VERSION, and SPECIFIC_VERSION. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL_VERSIONS`
  ALL_VERSIONS - Refers to all elements.
  `CURRENT_VERSION`
  CURRENT_VERSION - Refers to the present/current version.
  `SPECIFIC_VERSION`
  SPECIFIC_VERSION - Refers to a particular version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.VersionMode`
  `getVersionMode(String value)`
  `static APIConstants.VersionMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.VersionMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL_VERSIONS

    public static final APIConstants.VersionMode ALL_VERSIONS
    ALL_VERSIONS - Refers to all elements.

  - ### CURRENT_VERSION

    public static final APIConstants.VersionMode CURRENT_VERSION
    CURRENT_VERSION - Refers to the present/current version.

  - ### SPECIFIC_VERSION

    public static final APIConstants.VersionMode SPECIFIC_VERSION
    SPECIFIC_VERSION - Refers to a particular version.

- ## Method Details

  - ### values

    public static APIConstants.VersionMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.VersionMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getVersionMode

    public static APIConstants.VersionMode getVersionMode(String value)
    Parameters:
      `value` -
    Returns: